Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface ResourceFactory.Interface

Enclosing class:
  ResourceFactory

    public static interface ResourceFactory.Interface

the interface to resource factory objects.

Method Summary
`Literal` | `createPlainLiteral(java.lang.String string)` Answer a plain (untyped) literal with no language and the given content.
`Property` | `createProperty(java.lang.String uriref)` create a new property.
`Property` | `createProperty(java.lang.String namespace, java.lang.String localName)` create a new property.
`Resource` | `createResource()` create a new anonymous resource.
`Resource` | `createResource(java.lang.String uriref)` create a new resource.
`Statement` | `createStatement(Resource subject, Property predicate, RDFNode object)` create a new statement.
`Literal` | `createTypedLiteral(java.lang.Object value)` Answer a typed literal.
`Literal` | `createTypedLiteral(java.lang.String string, RDFDatatype datatype)` Answer a typed literal.

Method Detail

### createResource

    Resource createResource()

  create a new anonymous resource.

  Returns:
    a new anonymous resource

### createResource

    Resource createResource(java.lang.String uriref)

  create a new resource.

  Parameters:
    `uriref` - URIREF of the resource
  Returns:
    a new resource

### createPlainLiteral

    Literal createPlainLiteral(java.lang.String string)

  Answer a plain (untyped) literal with no language and the given content.

  Parameters:
    `string` - the string which forms the value of the literal
  Returns:
    a Literal node with that string as value

### createTypedLiteral

    Literal createTypedLiteral(java.lang.String string,
                               RDFDatatype datatype)

  Answer a typed literal.

  Parameters:
    `string` - the string which forms the value of the literal
    `datatype` - RDFDatatype of the type literal
  Returns:
    a Literal node with that string as value

### createTypedLiteral

    Literal createTypedLiteral(java.lang.Object value)

  Answer a typed literal.

  Parameters:
    `value` - a java Object, the default RDFDatatype for that object will be used
  Returns:
    a Literal node with that value

### createProperty

    Property createProperty(java.lang.String uriref)

  create a new property.

  Parameters:
    `uriref` - URIREF of the property
  Returns:
    a new property

### createProperty

    Property createProperty(java.lang.String namespace,
                            java.lang.String localName)

  create a new property.

  Parameters:
    `namespace` - uriref of the namespace
    `localName` - localname of the property
  Returns:
    a new property

### createStatement

    Statement createStatement(Resource subject,
                              Property predicate,
                              RDFNode object)

  create a new statement.

  Parameters:
    `subject` - subject of the new statement
    `predicate` - predicate of the new statement
    `object` - object of the new statement
  Returns:
    a new statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP